<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">

<head>
  <title>KIO.AuthInfo</title>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
  <meta http-equiv="Content-Style-Type" content="text/css" />
  <link rel="stylesheet" type="text/css" href="../common/doxygen.css" />
  <link rel="stylesheet" media="screen" type="text/css" title="KDE Colors" href="../common/kde.css" />
</head>
<body>
<div id="container">
<div id="header">
  <div id="header_top">
    <div>
      <div>
        <img alt ="" src="../common/top-kde.jpg"/>
        KDE 4.2 PyKDE API Reference
      </div>
    </div>
  </div>
  <div id="header_bottom">
    <div id="location">
      <ul>
        <li>KDE's Python API</li>
      </ul>
    </div>

    <div id="menu">
      <ul>
        <li><a href="../modules.html">Overview</a></li>
<li><a href="http://techbase.kde.org/Development/Languages/Python">PyKDE Home</a></li>
<li><a href="http://kde.org/family/">Sitemap</a></li>
<li><a href="http://kde.org/contact/">Contact Us</a></li>
</ul>
    </div>
  </div>
</div>

<div id="body_wrapper">
<div id="body">
<div id="right">
<div class="content">
<div id="main">
<div class="clearer">&nbsp;</div>

<h1>AuthInfo Class Reference</h1>
<code>from PyKDE4.kio import *</code>
<p>


Namespace: KIO<br />
<h2>Detailed Description</h2>

<p>This class is intended to make it easier to prompt for, cache
and retrieve authorization information.
</p>
<p>
When using this class to cache, retrieve or prompt authentication
information, you only need to set the necessary attributes. For
example, to check whether a password is already cached, the only
required information is the URL of the resource and optionally
whether or not a path match should be performed. Similarly, to
prompt for password you only need to optionally set the prompt,
username (if already supplied), comment and commentLabel fields.
</p>
<p>
&lt;em&gt;SPECIAL NOTE:&lt;/em&gt; If you extend this class to add additional
parameters do not forget to overload the stream insertion and
extraction operators ("&lt;&lt;" and "&gt;&gt;") so that the added data can
be correctly serialzed.
</p>
<p>
A two way messaging class for passing authentication information.

<dl class="author" compact><dt><b>Author:</b></dt><dd> Dawit Alemayehu &lt;adawit@kde.org&gt; </dd></dl>
</p>
<table border="0" cellpadding="0" cellspacing="0"><tr><td colspan="2"><br><h2>Enumerations</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="#obj181446956">FieldFlags</a>&nbsp;</td><td class="memItemRight" valign="bottom">{&nbsp;ExtraFieldNoFlags, ExtraFieldReadOnly, ExtraFieldMandatory&nbsp;}</td></tr>
<tr><td colspan="2"><br><h2>Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008620">caption</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180009612">comment</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008204">commentLabel</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180010092">digestInfo</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008460">keepPassword</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008364">password</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008812">prompt</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180008332">readOnly</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180010444">realmValue</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="../kdecore/KUrl.html">KUrl</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var163984908">url</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180009452">username</a></td></tr><tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#var180010476">verifyPath</a></td></tr><tr><td colspan="2"><br><h2>Methods</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj170006604">__init__</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181445356">__init__</a> (self, <a href="../kio/KIO.AuthInfo.html">KIO.AuthInfo</a> info)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184124972">getExtraField</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fieldName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">KIO.AuthInfo.FieldFlags&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184126796">getExtraFieldFlags</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fieldName)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181446092">isModified</a> (self)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj180010316">setExtraField</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fieldName, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> value)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj184124716">setExtraFieldFlags</a> (self, <a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> fieldName, KIO.AuthInfo.FieldFlags flags)</td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="#obj181445644">setModified</a> (self, bool flag)</td></tr>
</table>
<hr><h2>Method Documentation</h2><a class="anchor" name="obj170006604"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Default constructor.
</p></div></div><a class="anchor" name="obj181445356"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">__init__</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="../kio/KIO.AuthInfo.html">KIO.AuthInfo</a>&nbsp;</td>
<td class="paramname"><em>info</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Copy constructor.
</p></div></div><a class="anchor" name="obj184124972"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a> getExtraField</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>fieldName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Get Extra Field Value
Check QVariant.isValid() to find out if the field exists.
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj184126796"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">KIO.AuthInfo.FieldFlags getExtraFieldFlags</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>fieldName</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Get Extra Field Flags
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj181446092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname">bool isModified</td>
<td>(</td>
<td class="paramtype">&nbsp;</td>
<td class="paramname"><em>self</em>&nbsp;)</td>
<td width="100%"> </td>
</tr>
</table>
</div>
<div class="memdoc"><p>Use this method to check if the object was modified.
<dl class="return" compact><dt><b>Returns:</b></dt><dd> true if the object has been modified
</dd></dl>
</p></div></div><a class="anchor" name="obj180010316"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setExtraField</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>fieldName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qvariant.html">QVariant</a>&nbsp;</td>
<td class="paramname"><em>value</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set Extra Field Value.
Currently supported extra-fields:
"domain" (QString),
"anonymous" (bool)
Setting it to an invalid QVariant() will disable the field.
Extra Fields are disabled by default.
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj184124716"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setExtraFieldFlags</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a>&nbsp;</td>
<td class="paramname"><em>fieldName</em>, </td>
</tr>
<tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">KIO.AuthInfo.FieldFlags&nbsp;</td>
<td class="paramname"><em>flags</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Set Extra Field Flags
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><a class="anchor" name="obj181445644"></a>
<div class="memitem">
<div class="memproto">
<table class="memname"><tr>
<td class="memname"> setModified</td>
<td>(</td>
<td class="paramtype">&nbsp;<em>self</em>, </td>
<td class="paramname"></td>
</tr><tr>
<td class="memname"></td>
<td></td>
<td class="paramtype">bool&nbsp;</td>
<td class="paramname"><em>flag</em></td>
</tr>
<tr>
<td></td>
<td>)</td>
<td></td>
<td></td>
<td width="100%"> </td>
</tr></table>
</div>
<div class="memdoc"><p>Use this method to indicate that this object has been modified.
</p><dl compact><dt><b>Parameters:</b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0">
<tr><td></td><td valign="top"><em>flag</em>&nbsp;</td><td> true to mark the object as modified, false to clear
</td></tr>
</table></dl>
<p>
</p></div></div><hr><h2>Attribute Documentation</h2><a class="anchor" name="var180008620"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> caption</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Additional comment to be displayed when prompting
the user for authentication information.
</p>
<p>
This field allows you to display a short (no more than
80 characters) extra description in the password prompt
dialog. For example, this field along with the
commentLabel can be used to describe the server that
requested the authentication:
</p>
<p>
<pre class="fragment">
  Server:   Squid Proxy @ foo.com
</pre>
</p>
<p>
where "Server:" is the commentLabel and the rest is the
actual comment. Note that it is always better to use
the <b>commentLabel</b> field as it will be placed properly
in the dialog rather than to include it within the actual
comment.
</p>
<p>
This setting is <b>optional</b> and empty by default.
</p></div></div><p><a class="anchor" name="var180009612"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> comment</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Descriptive label to be displayed in front of the
comment when prompting the user for password.
</p>
<p>
This setting is <b>optional</b> and only applicable when
the comment field is also set.
</p></div></div><p><a class="anchor" name="var180008204"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> commentLabel</td>
</tr>
</table>
</div>
<div class="memdoc"><p>A unique identifier that allows caching of multiple
passwords for different resources in the same server.
</p>
<p>
Mostly this setting is applicable to the HTTP protocol
whose authentication scheme explicitly defines the use
of such a unique key. However, any protocol that can
generate or supply a unique id can effectively use it
to distinguish passwords.
</p>
<p>
(If you are instead interested in caching the authentication
info for multiple users to the same server, refer to
multipleUserCaching below)
</p>
<p>
This setting is <b>optional</b> and not set by default.
</p></div></div><p><a class="anchor" name="var180010092"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> digestInfo</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Flag that, if set, indicates whether a path match should be
performed when requesting for cached authorization.
</p>
<p>
A path is deemed to be a match if it is equal to or is a subset
of the cached path. For example, if stored path is "/foo/bar"
and the request's path set to "/foo/bar/acme", then it is a match
whereas it would not if the request's path was set to "/foo".
</p>
<p>
This setting is <b>optional</b> and false by default.
</p></div></div><p><a class="anchor" name="var180008460"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">bool keepPassword</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Flags for extra fields
<dl class="since" compact><dt><b>Since:</b></dt><dd> 4.1
</dd></dl>
</p></div></div><p><a class="anchor" name="var180008364"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> password</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Information to be displayed when prompting
the user for authentication information.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> If this field is not set, the authentication
dialog simply displays the preset default prompt.
</dd></dl> </p>
<p>
This setting is <b>optional</b> and empty by default.
</p></div></div><p><a class="anchor" name="var180008812"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> prompt</td>
</tr>
</table>
</div>
<div class="memdoc"><p>The text to displayed in the title bar of
the password prompting dialog.
</p>
<p>
<dl class="note" compact><dt><b>Note:</b></dt><dd> If this field is not set, the authentication
dialog simply displays the preset default caption.
</dd></dl> </p>
<p>
This setting is <b>optional</b> and empty by default.
</p></div></div><p><a class="anchor" name="var180008332"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">bool readOnly</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Flag to indicate the persistence of the given password.
</p>
<p>
This is a two-way flag, when set before calling openPasswordDialog
it makes the "keep Password" check box visible to the user.
In return the flag will indicate the state of the check box.
By default if the flag is checked the password will be cached
for the entire life of the current KDE session otherwise the
cached password is deleted right after the application using
it has been closed.
</p></div></div><p><a class="anchor" name="var180010444"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> realmValue</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Field to store any extra authentication information for
protocols that need it (ex: http).
</p>
<p>
This setting is <b>optional</b> and mostly applicable for HTTP
protocol. However, any protocol can make use of it to
store extra info.
</p></div></div><p><a class="anchor" name="var163984908"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="../kdecore/KUrl.html">KUrl</a> url</td>
</tr>
</table>
</div>
<div class="memdoc"><p>This is <b>required</b> for caching.
</p></div></div><p><a class="anchor" name="var180009452"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname"><a href="http://www.riverbankcomputing.co.uk/static/Docs/PyQt4/html/qstring.html">QString</a> username</td>
</tr>
</table>
</div>
<div class="memdoc"><p>This is <b>required</b> for caching.
</p></div></div><p><a class="anchor" name="var180010476"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">bool verifyPath</td>
</tr>
</table>
</div>
<div class="memdoc"><p>Flag which if set forces the username field to be read-only.
</p>
<p>
This setting is <b>optional</b> and false by default.
</p></div></div><p><hr><h2>Enumeration Documentation</h2><a class="anchor" name="obj181446956"></a>
<div class="memitem">
<div class="memproto">
<table class="memname">
<tr><td class="memname">FieldFlags</td>
</tr>
</table>
</div>
<div class="memdoc"><dl compact><dt><b>Enumerator: </b></dt><dd>
<table border="0" cellspacing="2" cellpadding="0"><tr><td valign="top"><em>ExtraFieldNoFlags</em>&nbsp;=&nbsp;0</td><td><tr><td valign="top"><em>ExtraFieldReadOnly</em>&nbsp;=&nbsp;1<<1</td><td><tr><td valign="top"><em>ExtraFieldMandatory</em>&nbsp;=&nbsp;1<<2</td><td></table>
</dl>
</div></div><p>
</div>
</div>
</div>

<div id="left">

<div class="menu_box">
<div class="nav_list">
<ul>
<li><a href="../allclasses.html">Full Index</a></li>
</ul>
</div>

<a name="cp-menu" /><div class="menutitle"><div>
  <h2 id="cp-menu-project">Modules</h2>
</div></div>
<div class="nav_list">
<ul>
<li><a href="../akonadi/index.html">akonadi</a></li>
<li><a href="../dnssd/index.html">dnssd</a></li>
<li><a href="../kdecore/index.html">kdecore</a></li>
<li><a href="../kdeui/index.html">kdeui</a></li>
<li><a href="../khtml/index.html">khtml</a></li>
<li><a href="../kio/index.html">kio</a></li>
<li><a href="../knewstuff/index.html">knewstuff</a></li>
<li><a href="../kparts/index.html">kparts</a></li>
<li><a href="../kutils/index.html">kutils</a></li>
<li><a href="../nepomuk/index.html">nepomuk</a></li>
<li><a href="../phonon/index.html">phonon</a></li><li><a href="../plasma/index.html">plasma</a></li>
<li><a href="../solid/index.html">solid</a></li>
<li><a href="../soprano/index.html">soprano</a></li>
</ul></div></div>

</div>

</div>
  <div class="clearer"/>
</div>

<div id="end_body"></div>
</div>
<div id="footer"><div id="footer_text">
This documentation is maintained by <a href="&#109;&#97;&#105;&#108;&#116;&#111;&#58;simon&#64;simonzone&#46;com">Simon Edwards</a>.<br />
        KDE<sup>&#174;</sup> and <a href="../images/kde_gear_black.png">the K Desktop Environment<sup>&#174;</sup> logo</a> are registered trademarks of <a href="http://ev.kde.org/" title="Homepage of the KDE non-profit Organization">KDE e.V.</a> |
        <a href="http://www.kde.org/contact/impressum.php">Legal</a>
    </div></div>
</body>
</html>
